AM263Px MCU+ SDK: TI DP83867 PHY

| AM263Px MCU+ SDK 26.00.00 |

Data Structures | Functions | Enumerations | Macros
TI DP83867 PHY
APIs for Networking modules » APIs for Enet LLD » Ethernet PHY Driver

## Introduction

TI DP83867 RGMII Ethernet PHY.

## Data Structures
struct | Dp83867_Cfg
| DP83867 PHY configuration parameters. More...

## Functions
void | Dp83867_initCfg (Dp83867_Cfg *cfg)
| Initialize DP83867 PHY specific config params. More...
void | Dp83867_bind (EthPhyDrv_Handle *hPhy, uint8_t phyAddr, Phy_RegAccessCb_t *pRegAccessCb)
bool | Dp83867_isPhyDevSupported (EthPhyDrv_Handle hPhy, const void *pVersion)
bool | Dp83867_isMacModeSupported (EthPhyDrv_Handle hPhy, Phy_Mii mii)
int32_t | Dp83867_config (EthPhyDrv_Handle hPhy, const void *pExtCfg, const uint32_t extCfgSize, Phy_Mii mii, bool loopbackEn)
void | Dp83867_reset (EthPhyDrv_Handle hPhy)
bool | Dp83867_isResetComplete (EthPhyDrv_Handle hPhy)
void | Dp83867_printRegs (EthPhyDrv_Handle hPhy)

## Enumerations
enum | Dp83867_Gpio0Mode { DP83867_GPIO0_RXERR = 0x0U, DP83867_GPIO0_1588TXSFD = 0x1U, DP83867_GPIO0_1588RXSFD = 0x2U, DP83867_GPIO0_WOL = 0x3U, DP83867_GPIO0_ENERGYDET = 0x4U, DP83867_GPIO0_LED3 = 0x6U, DP83867_GPIO0_PRBSERR = 0x7U, DP83867_GPIO0_CONSTANT0 = 0x8U, DP83867_GPIO0_CONSTANT1 = 0x9U }
| GPIO_0 mux modes. More...
enum | Dp83867_Gpio1Mode { DP83867_GPIO1_COL = 0x0U, DP83867_GPIO1_1588TXSFD = 0x1U, DP83867_GPIO1_1588RXSFD = 0x2U, DP83867_GPIO1_WOL = 0x3U, DP83867_GPIO1_ENERGYDET = 0x4U, DP83867_GPIO1_LED3 = 0x6U, DP83867_GPIO1_PRBSERR = 0x7U, DP83867_GPIO1_CONSTANT0 = 0x8U, DP83867_GPIO1_CONSTANT1 = 0x9U }
| GPIO_1 mux modes. More...
enum | Dp83867_LedMode { DP83867_LED_LINKED = 0x0U, DP83867_LED_RXTXACT = 0x1U, DP83867_LED_TXACT = 0x2U, DP83867_LED_RXACT = 0x3U, DP83867_LED_COLLDET = 0x4U, DP83867_LED_LINKED_1000BT = 0x5U, DP83867_LED_LINKED_100BTX = 0x6U, DP83867_LED_LINKED_10BT = 0x7U, DP83867_LED_LINKED_10100BT = 0x8U, DP83867_LED_LINKED_1001000BT = 0x9U, DP83867_LED_FULLDUPLEX = 0xAU, DP83867_LED_LINKED_BLINKACT = 0xBU, DP83867_LED_RXTXERR = 0xDU, DP83867_LED_RXERR = 0xEU }
| LED modes (sources). More...

## Macros
#define | DP83867_LED_NUM (4U)
| Number of LEDs available in the PHY. More...

## Macro Definition Documentation

## ◆ DP83867_LED_NUM

#define DP83867_LED_NUM (4U)

Number of LEDs available in the PHY.

## Enumeration Type Documentation

## ◆ Dp83867_Gpio0Mode

enum Dp83867_Gpio0Mode

GPIO_0 mux modes.

Enumerator
DP83867_GPIO0_RXERR | RX_ER
DP83867_GPIO0_1588TXSFD | 1588 TX SFD
DP83867_GPIO0_1588RXSFD | 1588 RX SFD
DP83867_GPIO0_WOL | WOL
DP83867_GPIO0_ENERGYDET | Energy Detect (1000Base-T and 100Base-TX only)
DP83867_GPIO0_LED3 | LED_3
DP83867_GPIO0_PRBSERR | PRBS Errors / Loss of Sync
DP83867_GPIO0_CONSTANT0 | Constant 0
DP83867_GPIO0_CONSTANT1 | Constant 1

## ◆ Dp83867_Gpio1Mode

enum Dp83867_Gpio1Mode

GPIO_1 mux modes.

Enumerator
DP83867_GPIO1_COL | COL
DP83867_GPIO1_1588TXSFD | 1588 TX SFD
DP83867_GPIO1_1588RXSFD | 1588 RX SFD
DP83867_GPIO1_WOL | WOL
DP83867_GPIO1_ENERGYDET | Energy Detect (1000Base-T and 100Base-TX only)
DP83867_GPIO1_LED3 | LED_3
DP83867_GPIO1_PRBSERR | PRBS Errors / Loss of Sync
DP83867_GPIO1_CONSTANT0 | Constant 0
DP83867_GPIO1_CONSTANT1 | Constant 1

## ◆ Dp83867_LedMode

enum Dp83867_LedMode

LED modes (sources).

Enumerator
DP83867_LED_LINKED | Link established
DP83867_LED_RXTXACT | Receive or transmit activity
DP83867_LED_TXACT | Transmit activity
DP83867_LED_RXACT | Receive activity
DP83867_LED_COLLDET | Collision detected
DP83867_LED_LINKED_1000BT | 1000BT link established
DP83867_LED_LINKED_100BTX | 100 BTX link established
DP83867_LED_LINKED_10BT | 10BT link established
DP83867_LED_LINKED_10100BT | 10/100BT link established
DP83867_LED_LINKED_1001000BT | 100/1000BT link established
DP83867_LED_FULLDUPLEX | Full duplex
DP83867_LED_LINKED_BLINKACT | Link established, blink for transmit or receive activity
DP83867_LED_RXTXERR | Receive error or transmit error
DP83867_LED_RXERR | Receive error

## Function Documentation

## ◆ Dp83867_initCfg()

void Dp83867_initCfg | ( | Dp83867_Cfg * | cfg | ) |

Initialize DP83867 PHY specific config params.

Initializes the DP83867 PHY specific configuration parameters.

Parameters

  cfg | DP83867 PHY config structure pointer

## ◆ Dp83867_bind()

void Dp83867_bind | ( | EthPhyDrv_Handle * | hPhy,
|  | uint8_t | phyAddr,
|  | Phy_RegAccessCb_t * | pRegAccessCb
| ) |  |

## ◆ Dp83867_isPhyDevSupported()

bool Dp83867_isPhyDevSupported | ( | EthPhyDrv_Handle | hPhy,
|  | const void * | pVersion
| ) |  |

## ◆ Dp83867_isMacModeSupported()

bool Dp83867_isMacModeSupported | ( | EthPhyDrv_Handle | hPhy,
|  | Phy_Mii | mii
| ) |  |

## ◆ Dp83867_config()

int32_t Dp83867_config | ( | EthPhyDrv_Handle | hPhy,
|  | const void * | pExtCfg,
|  | const uint32_t | extCfgSize,
|  | Phy_Mii | mii,
|  | bool | loopbackEn
| ) |  |

## ◆ Dp83867_reset()

void Dp83867_reset | ( | EthPhyDrv_Handle | hPhy | ) |

## ◆ Dp83867_isResetComplete()

bool Dp83867_isResetComplete | ( | EthPhyDrv_Handle | hPhy | ) |

## ◆ Dp83867_printRegs()

void Dp83867_printRegs | ( | EthPhyDrv_Handle | hPhy | ) |